##### 7.5.23.0. doubleExt

Procedure from library `purityfiltration.lib` (see purityfiltration_lib).

Usage:
  doubleExt(R,i), R matrix representing the left Module M=D^p/D^q(R^t) over a ring D
  int i, less or equal the left projective dimension of M

Return:
  matrix P, representing the double ext module

Purpose:
  computes a matrix P, which represents the left module ext^i(ext^i(M,D))

Example:

    LIB "purityfiltration.lib";
    ring D = 0,(x,y,z),dp;
    matrix R[7][3]=
    0 ,0,1,
    1 ,-4*x+z,-z,
    -1,8*x-2*z,z,
    1 ,0  ,0,
    0 ,x-y,0,
    0 ,x-y,y,
    0 ,0  ,x;
    // coker(R) is 2-pure, so all doubleExt are zero
    print(doubleExt(transpose(R),0));
    ==> 1
    print(doubleExt(transpose(R),1));
    ==> 1,0,0,
    ==> 0,1,0,
    ==> 0,0,1
    print(doubleExt(transpose(R),3));
    ==> 1
    // except of the second
    print(doubleExt(transpose(R),2));
    ==> 4y-z,4x-z

User manual for Singular version 4.4.1, 2025, generated by texi2html.